﻿using System;
using System.Windows.Data;

namespace SimpleWpfClient
{
    public class EnumToBooleanConverter : IValueConverter
    {
        public object Convert(object value, Type targetType,
                object parameter, System.Globalization.CultureInfo culture)
        {
            var currentState = value.ToString();
            var stateStrings = parameter.ToString();
            var found = false;

            foreach (var state in stateStrings.Split(','))
            {
                found = (currentState == state.Trim());

                if (found)
                    break;
            }
            return found;
        }

        public object ConvertBack(object value, Type targetType,
            object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null || parameter == null)
                return null;
            var rtnValue = parameter.ToString();
            try
            {
                object returnEnum = Enum.Parse(targetType, rtnValue);
                return returnEnum;
            }
            catch
            {
                return null;
            }
        }
    }
}
